# Class ErrorSupportProvider

java.lang.Object
org.eclipse.jface.dialogs.ErrorSupportProvider

Direct Known Subclasses:
  `AbstractStatusAreaProvider`

public abstract class ErrorSupportProvider extends Object
A ErrorSupportProvider defines the area to be shown in an error dialog for extra support information.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`ErrorSupportProvider()`

## Method Summary

Modifier and Type
Method
Description
`abstract Control`
`createSupportArea(Composite parent, IStatus status)`
Create an area for adding support components as a child of parent.
`boolean`
`validFor(IStatus status)`
This method is called before `createSupportArea(Composite, IStatus)` to check if the `ErrorSupportProvider` will display any significant informations.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ErrorSupportProvider

public ErrorSupportProvider()

## Method Details

### createSupportArea

public abstract Control createSupportArea(Composite parent, IStatus status)
Create an area for adding support components as a child of parent.

Parameters:
  `parent` - The parent `Composite`
  `status` - The `IStatus` that is being displayed.
Returns:
  Control

### validFor

public boolean validFor(IStatus status)
This method is called before `createSupportArea(Composite, IStatus)` to check if the `ErrorSupportProvider` will display any significant informations. If not, then it will not be presented at all.

Parameters:
  `status` - - `IStatus` for which status are will be requested.
Returns:
  true if provider is able to process particular `IStatus`
Since:
  3.7